Subject: RE: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 09:21:16 -0700

> > > However there might be a misunderstanding. There is no error while
> > > reading vline.el. The error comes when I do eval-buffer.
> > 
> > Yes, the problem arises when I load (so, eval) the library. 
> > But Lawrence and Eli both mentioned loading also.
> 
> No, I said visiting with "C-x C-f".

Not really. You said:

 For me, the file vline.el downloaded from the above address loads
                                                             ^^^^^
 successfully even without setting LANG to "C".

But you did add this, which confuses things (loading with visiting):

 Just a simple "C-x C-f" works and doesn't throw any errors.

I didn't notice that last part.

> And your original report said:
> 
>   Library vline.el can be read fine in Emacs 22, but Emacs 23 
>   raises an error, saying Invalid read syntax: "?".
> 
> It said nothing about evaluating it.

Yes, I too was not clear enough. I meant load, not visit.

> Anyway, does the problem go away if you visit the file with
> 
>   "C-x RET c utf-8 RET C-x C-f vline.el RET"
> 
> before evaluating it?

Yes and no. I did `C-x RET c utf-8 RET C-x C-f vline.el RET'. If I then do `M-x
load-file RET', then I get the same error. However, if instead of `M-x load-file
RET' I use `M-x eval-buffer RET', then I don't get the error.
 
> If this does the trick, then please talk to the author and ask him to
> include an explicit coding: cookie in the file.

I can do that, if you tell me exactly what to tell him needs to be done.

However, is it normal that Emacs 23 raises an error if the encoding is wrong?
Emacs 22 does not raise any error here.